## python-ipaddress 1.0.17

=== Makefile ===
default: test

test:
	flake8 ipaddress.py test_ipaddress.py
	python test_ipaddress.py

pypi:
	python setup.py sdist bdist_wheel upload

clean:
	rm -rf -- build dist ipaddress.egg-info

.PHONY: default test clean pypi

## python-ipaddress 1.0.14

=== debian/changelog ===
python-ipaddress (1.0.14-2~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 10 Sep 2015 18:16:29 +0000

python-ipaddress (1.0.14-2) unstable; urgency=medium

  * Build pypy-ipaddress package.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 30 Aug 2015 01:52:53 +0200

python-ipaddress (1.0.14-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 26 Jul 2015 12:52:25 +0200

python-ipaddress (1.0.7-1) unstable; urgency=medium

  * Initial release. (closes: #785275)

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 08 Jun 2015 15:29:18 +0200

=== debian/control ===
Source: python-ipaddress
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 pypy,
 python-setuptools,
 pypy-setuptools,
Homepage: https://github.com/phihag/ipaddress
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-ipaddress/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-ipaddress/trunk/
Standards-Version: 3.9.6
X-Python-Version: >= 2.6

Package: python-ipaddress
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: Backport of Python 3 ipaddress module (Python 2)
 This module is a backport of the stdlib "ipaddress" module from Python 3. The
 "ipaddress" module is in turn based off of the "ipaddr" module available in
 the "python-ipaddr" but there are some important API differences; make sure
 you are using the right module.
 .
 This package contains the Python 2 module.

Package: pypy-ipaddress
Architecture: all
Depends:
 ${misc:Depends},
 ${pypy:Depends},
Description: Backport of Python 3 ipaddress module (PyPy)
 This module is a backport of the stdlib "ipaddress" module from Python 3. The
 "ipaddress" module is in turn based off of the "ipaddr" module available in
 the "python-ipaddr" but there are some important API differences; make sure
 you are using the right module.
 .
 This package contains the PyPy module.

## python-ipaddress 1.0.16

=== debian/changelog ===
python-ipaddress (1.0.16-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Drop pypy package (no pypy-setuptools in jessie).

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 27 Jan 2016 04:26:33 +0200

python-ipaddress (1.0.16-1) unstable; urgency=medium

  * New upstream version.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 20 Jan 2016 01:48:08 +0200

python-ipaddress (1.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 14 Nov 2015 00:12:11 +0200

=== debian/control ===
Source: python-ipaddress
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
Homepage: https://github.com/phihag/ipaddress
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-ipaddress.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-ipaddress.git
Standards-Version: 3.9.6
X-Python-Version: >= 2.6

Package: python-ipaddress
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Backport of Python 3 ipaddress module (Python 2)
 This module is a backport of the stdlib "ipaddress" module from Python 3. The
 "ipaddress" module is in turn based off of the "ipaddr" module available in
 the "python-ipaddr" but there are some important API differences; make sure
 you are using the right module.
 .
 This package contains the Python 2 module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ipaddress

%:
	dh $@ --with python2 --buildsystem=pybuild

## python-ipaddress 1.0.17

=== debian/changelog ===
python-ipaddress (1.0.17-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:42:53 +0000

python-ipaddress (1.0.17-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Barry Warsaw ]
  * New upstream release.
  * d/control:
    - Bump Standards-Version with no other changes necessary.
    - wrap-and-sort -at

 -- Barry Warsaw <barry@debian.org>  Mon, 31 Oct 2016 18:01:13 -0400

=== debian/control ===
Source: python-ipaddress
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               pypy,
               pypy-setuptools,
               python-all,
               python-setuptools,
Homepage: https://github.com/phihag/ipaddress
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-ipaddress.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-ipaddress.git
Standards-Version: 3.9.8
X-Python-Version: >= 2.6

Package: python-ipaddress
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Backport of Python 3 ipaddress module (Python 2)
 This module is a backport of the stdlib "ipaddress" module from Python 3. The
 "ipaddress" module is in turn based off of the "ipaddr" module available in
 the "python-ipaddr" but there are some important API differences; make sure
 you are using the right module.
 .
 This package contains the Python 2 module.

Package: pypy-ipaddress
Architecture: all
Depends: ${misc:Depends},
         ${pypy:Depends},
Description: Backport of Python 3 ipaddress module (PyPy)
 This module is a backport of the stdlib "ipaddress" module from Python 3. The
 "ipaddress" module is in turn based off of the "ipaddr" module available in
 the "python-ipaddr" but there are some important API differences; make sure
 you are using the right module.
 .
 This package contains the PyPy module.

## python-ipaddress 1.0.23

=== debian/changelog ===
python-ipaddress (1.0.23-1) unstable; urgency=medium

  * New upstream release.
  * Declare rootless build.
  * Bump Standards-Version to 4.5.0 (no changes).
  * Bump debhelper-compat to 13.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 21 Jul 2020 10:45:25 +0200

python-ipaddress (1.0.17-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937843

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Apr 2020 20:22:44 -0400

=== debian/control ===
Source: python-ipaddress
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, pypy, pypy-setuptools
Homepage: https://github.com/phihag/ipaddress
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ipaddress
Vcs-Git: https://salsa.debian.org/python-team/modules/python-ipaddress.git
Standards-Version: 4.5.0

Package: pypy-ipaddress
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends}
Description: Backport of Python 3 ipaddress module (PyPy)
 This module is a backport of the stdlib "ipaddress" module from Python 3. The
 "ipaddress" module is in turn based off of the "ipaddr" module available in
 the "python-ipaddr" but there are some important API differences; make sure
 you are using the right module.
 .
 This package contains the PyPy module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ipaddress

%:
	dh $@ --with pypy --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ipaddress/ipaddress-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
